<?php
	# Mantis - a php based bugtracking system
	# Copyright (C) 2000 - 2002  Kenzaburo Ito - kenito@300baud.org
	# Copyright (C) 2002 - 2003  Mantis Team   - mantisbt-dev@lists.sourceforge.net
	# This program is distributed under the terms and conditions of the GPL
	# See the README and LICENSE files for details

	# --------------------------------------------------------
	# $Id: manage_group_create.php,v 1.1 2003/08/06 19:50:23 dwoods Exp $
	# --------------------------------------------------------
?>
<?php
	require_once( 'core.php' );
	
	$t_core_path = config_get( 'core_path' );
	
	require_once( $t_core_path.'email_api.php' );
	require_once( $t_core_path.'group_api.php' );
?>
<?php
	access_ensure_global_level( config_get( 'manage_user_threshold' ) );

	$f_groupname	= gpc_get_string( 'groupname' );
	$f_access_level	= gpc_get_string( 'access_level' );
	$f_protected	= gpc_get_bool( 'protected' );
	$f_enabled	= gpc_get_bool( 'enabled' );

	# check for empty username
	$f_groupname = trim( $f_groupname );
	if ( is_blank( $f_groupname ) ) {
		trigger_error( ERROR_EMPTY_FIELD, ERROR );
	}

	# Check the name for validity here so we do it before promting to use a
	#  blank password (don't want to prompt the user if the process will fail
	#  anyway)
	group_ensure_name_valid( $f_groupname );

	group_create( $f_groupname, $f_access_level, $f_protected, $f_enabled );

	$t_redirect_url = 'manage_group_page.php';

	html_page_top1();

	html_meta_redirect( $t_redirect_url );

	html_page_top2();
?>

<br />
<div align="center">
<?php
	$t_access_level = get_enum_element( 'access_levels', $f_access_level );
	echo lang_get( 'created_group_part1' ) . ' <span class="bold">' . $f_groupname . '</span> ' . lang_get( 'created_group_part2' ) . ' <span class="bold">' . $t_access_level . '</span><br />';

	print_bracket_link( $t_redirect_url, lang_get( 'proceed' ) );
?>
</div>

<?php html_page_bottom1( __FILE__ ) ?>
