<?php
	# Mantis - a php based bugtracking system
	# Copyright (C) 2000 - 2002  Kenzaburo Ito - kenito@300baud.org
	# Copyright (C) 2002 - 2003  Mantis Team   - mantisbt-dev@lists.sourceforge.net
	# This program is distributed under the terms and conditions of the GPL
	# See the README and LICENSE files for details

	# --------------------------------------------------------
	# $Id: manage_group_edit_page.php,v 1.1 2003/08/06 19:50:55 dwoods Exp $
	# --------------------------------------------------------
?>
<?php 	require_once( 'core.php' ); ?>

<?php
	access_ensure_global_level( config_get( 'manage_user_threshold' ) );

	$f_group_id = gpc_get_int( 'group_id' );

	$t_group = group_get_row( $f_group_id );

	html_page_top1();
	html_page_top2();

	print_manage_menu();
?>

<br />


<!-- USER INFO -->
<div align="center">
<form method="post" action="manage_group_update.php">
<table class="width75" cellspacing="1">
<!-- Title -->
<tr>
	<td class="form-title" colspan="2">
		<input type="hidden" name="group_id" value="<?php echo $t_group['id'] ?>" />
		<?php echo lang_get( 'edit_group_title' ) ?>
	</td>
</tr>

<!-- Groupname -->
<tr <?php echo helper_alternate_class( 1 ) ?>>
	<td class="category" width="30%">
		<?php echo lang_get( 'groupname' ) ?>:
	</td>
	<td width="70%">
		<input type="text" size="16" maxlength="32" name="groupname" value="<?php echo $t_group['groupname'] ?>" />
	</td>
</tr>

<!-- Group Level -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'group_level' ) ?>:
	</td>
	<td>
		<select name="access_level">
			<?php print_enum_string_option_list( 'access_levels', $t_group['access_level'] ) ?>
		</select>
	</td>
</tr>

<!-- Enabled Checkbox -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'enabled' ) ?>:
	</td>
	<td>
		<input type="checkbox" name="enabled" <?php check_checked( $t_group['enabled'], ON ); ?> />
	</td>
</tr>

<!-- Protected Checkbox -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'protected' ) ?>:
	</td>
	<td>
		<input type="checkbox" name="protected" <?php check_checked( $t_group['protected'], ON ); ?> />
	</td>
</tr>

<!-- Submit Button -->
<tr>
	<td colspan="2" class="center">
		<input type="submit" value="<?php echo lang_get( 'update_group_button' ) ?>" />
	</td>
</tr>
</table>
</form>
</div>

<br />


<!-- USER MANAGEMENT (ADD) -->

<br />
<div align="center">
	<form method="post" action="manage_group_user_add.php">
		<input type="hidden" name="group_id" value="<?php echo $f_group_id ?>" />
		<table class="width75" cellspacing="1">
			<tr>
				<td class="form-title" colspan="5">
					<?php echo lang_get( 'group_add_user_title' ) ?>
				</td>
			</tr>
			<tr class="row-1" valign="top">
				<td class="category">
					<?php echo lang_get( 'username' ) ?>
				</td>
				<td>
					<select name="user_id[]" multiple size="10">
						<?php print_group_user_list_option_list( $f_group_id ) ?>
					</select>
				</td>
				<td>
					<input type="submit" value="<?php echo lang_get( 'add_user_button' ) ?>" />
				</td>
			</tr>
		</table>
	</form>
</div>


<!-- LIST OF USERS -->
<br />
<div align="center">
	<table class="width75" cellspacing="1">
		<tr>
			<td class="form-title" colspan="4">
				<?php echo lang_get( 'manage_groups_title' ) ?>
			</td>
		</tr>
		<tr class="row-category">
			<td>
				<?php echo lang_get( 'username' ) ?>
			</td>
			<td>
				<?php echo lang_get( 'email' ) ?>
			</td>
			<td>
				<?php echo lang_get( 'access_level' ) ?>
			</td>
			<td class="center">
				<?php echo lang_get( 'actions' ) ?>
			</td>
		</tr>
<?php
	$t_users = group_get_all_user_rows( $f_group_id );

	# reset the class counter
	helper_alternate_class( 0 );

	foreach ( $t_users as $t_user ) {
?>
		<tr <?php echo helper_alternate_class() ?>>
			<td>
				<?php echo $t_user['username'] ?>
			</td>
			<td>
			<?php 
				$t_email = user_get_email( $t_user['id'] );
				print_email_link( $t_email, $t_email );
			?>
			</td>
			<td>
				<?php echo get_enum_element( 'access_levels', $t_user['access_level'] ) ?>
			</td>
			<td class="center">
			<?php
				if ( access_has_global_level( config_get( 'manage_user_threshold' ) ) ) {
					if ( group_includes_user( $f_group_id, $t_user['id'] )  ) {
						print_bracket_link( 'manage_group_user_remove.php?group_id=' . $f_group_id . '&amp;user_id=' . $t_user['id'], lang_get( 'remove_link' ) );
					}
				}
			?>
			</td>
		</tr>
<?php
	}  # end for
?>
	</table>
</div>

<?php html_page_bottom1( __FILE__ ) ?>
