<?php
	# Mantis - a php based bugtracking system
	# Copyright (C) 2000 - 2002  Kenzaburo Ito - kenito@300baud.org
	# Copyright (C) 2002 - 2003  Mantis Team   - mantisbt-dev@lists.sourceforge.net
	# This program is distributed under the terms and conditions of the GPL
	# See the README and LICENSE files for details
?>
<?php
	require_once( 'core.php' );
	
	$t_core_path = config_get( 'core_path' );

	require_once( $t_core_path . 'icon_api.php' );
?>
<?php
	access_ensure_global_level( config_get( 'manage_user_threshold' ) );

	$f_sort	= gpc_get_string( 'sort', 'username' );
	$f_dir	= gpc_get_string( 'dir', 'ASC' );
	$f_hide = gpc_get_bool( 'hide' );
	$f_save = gpc_get_bool( 'save' );

	$t_cookie_name = config_get( 'manage_cookie' );

	# set cookie values for hide, sort by, and dir
	if ( $f_save ) {
		$t_manage_string = $f_hide.':'.$f_sort.':'.$f_dir;
		gpc_set_cookie( $t_cookie_name, $t_manage_string, true );
	} else if ( !is_blank( gpc_get_cookie( $t_cookie_name, '' ) ) ) {
		$t_manage_arr = explode( ':', gpc_get_cookie( $t_cookie_name ) );
		$f_hide = $t_manage_arr[0];

		if ( isset( $t_manage_arr[1] ) ) {
			$f_sort = $t_manage_arr[1];
		} else {
			$f_sort = 'username';
		}

		if ( isset( $t_manage_arr[2] ) ) {
			$f_dir  = $t_manage_arr[2];
		} else {
			$f_dir = 'DESC';
		}
	}

	# Clean up the form variables
	$c_sort = addslashes($f_sort);

	if ($f_dir == 'ASC') {
		$c_dir = 'ASC';
	} else {
		$c_dir = 'DESC';
	}

	if ($f_hide == 0) { # a 0 will turn it off
		$c_hide = 0;
	} else {            # anything else (including 'on') will turn it on
		$c_hide = 1;
	}
?>
<?php html_page_top1() ?>
<?php html_page_top2() ?>

<?php print_manage_menu( 'manage_group_page.php' ) ?>

<?php # New Groups Form BEGIN ?>
<?php
	$t_group_table = config_get( 'mantis_group_table' );

	$days_old = 7;
	$query = "SELECT *
		FROM $t_group_table
		WHERE TO_DAYS(NOW()) - TO_DAYS(date_created) <= '$days_old'
		ORDER BY date_created DESC";
	$result = db_query( $query );
	$new_group_count = db_num_rows( $result );
?>
<br />
<table class="width100" cellspacing="1">
<tr>
	<td class="form-title">
		<?php echo lang_get( 'new_groups_title' ) ?> (<?php echo lang_get( '1_week_title' ) ?>) [<?php echo $new_group_count ?>]
	</td>
</tr>
<tr <?php echo helper_alternate_class() ?>>
	<td>
<?php
for ($i=0;$i<$new_group_count;$i++) {
	$row = db_fetch_array( $result );
	$t_groupname = $row['groupname'];

	echo $t_groupname.' : ';
}
?>
	</td>
</tr>
</table>
<?php # New Accounts Form END ?>


<?php # Manage Form BEGIN ?>
<?php
	# Get the group data in $c_sort order
	$query = "SELECT *,  UNIX_TIMESTAMP(date_created) as date_created
			FROM $t_group_table
			ORDER BY '$c_sort' $c_dir";

	$result = db_query($query);
	$group_count = db_num_rows( $result );
?>
<br />
<table class="width100" cellspacing="1">
<tr>
	<td class="form-title" colspan="5">
		<?php echo lang_get( 'manage_groups_title' ) ?> [<?php echo $group_count ?>]
		<?php print_bracket_link( 'manage_group_create_page.php', lang_get( 'create_new_group_link' ) ) ?>
	</td>
	<td class="center" colspan="2">
		<form method="post" action="manage_group_page.php">
		<input type="hidden" name="sort" value="<?php echo $c_sort ?>" />
		<input type="hidden" name="dir" value="<?php echo $c_dir ?>" />
		<input type="hidden" name="save" value="1" />
		<input type="checkbox" name="hide" value="1" <?php check_checked( $c_hide, 1 ); ?> /> <?php echo lang_get( 'hide_inactive' ) ?>
		<input type="submit" value="<?php echo lang_get( 'filter_button' ) ?>" />
		</form>
	</td>
</tr>
<tr class="row-category">
	<td>
		<?php print_manage_user_sort_link(  'manage_group_page.php', lang_get( 'groupname' ), 'groupname', $c_dir, $c_sort, $c_hide ) ?>
		<?php print_sort_icon( $c_dir, $c_sort, 'groupname' ) ?>
	</td>
	<td>
		<?php print_manage_user_sort_link(  'manage_group_page.php', lang_get( 'group_level' ), 'access_level', $c_dir, $c_sort, $c_hide ) ?>
		<?php print_sort_icon( $c_dir, $c_sort, 'access_level' ) ?>
	</td>
	<td>
		<?php print_manage_user_sort_link(  'manage_group_page.php', lang_get( 'enabled' ), 'enabled', $c_dir, $c_sort, $c_hide ) ?>
		<?php print_sort_icon( $c_dir, $c_sort, 'enabled' ) ?>
	</td>
	<td>
		<?php print_manage_user_sort_link(  'manage_group_page.php', lang_get( 'protected' ), 'protected', $c_dir, $c_sort, $c_hide ) ?>
		<?php print_sort_icon( $c_dir, $c_sort, 'protected' ) ?>
	</td>
	<td>
		<?php print_manage_user_sort_link(  'manage_group_page.php', lang_get( 'date_created' ), 'date_created', $c_dir, $c_sort, $c_hide ) ?>
		<?php print_sort_icon( $c_dir, $c_sort, 'date_created' ) ?>
	</td>
</tr>
<?php
	for ($i=0;$i<$group_count;$i++) {
		# prefix group data with g_
		$row = db_fetch_array($result);
		extract( $row, EXTR_PREFIX_ALL, 'g' );

		$g_date_created  = date( config_get( 'normal_date_format' ), $g_date_created );
?>
<tr <?php echo helper_alternate_class( $i ) ?>>
	<td>
		<a href="manage_group_edit_page.php?group_id=<?php echo $g_id ?>"><?php echo $g_groupname ?></a>
	</td>
	<td><?php echo get_enum_element( 'access_levels', $g_access_level ) ?></td>
	<td><?php echo trans_bool( $g_enabled ) ?></td>
	<td><?php echo trans_bool( $g_protected ) ?></td>
	<td><?php echo $g_date_created ?></td>
</tr>
<?php
	}  # end for
?>
</table>
<?php # Manage Form END ?>

<?php html_page_bottom1( __FILE__ ) ?>
