<?php
	# Mantis - a php based bugtracking system
	# Copyright (C) 2000 - 2002  Kenzaburo Ito - kenito@300baud.org
	# Copyright (C) 2002 - 2003  Mantis Team   - mantisbt-dev@lists.sourceforge.net
	# This program is distributed under the terms and conditions of the GPL
	# See the README and LICENSE files for details
?>
<?php
	require_once( 'core.php' );
?>
<?php
	access_ensure_global_level( config_get( 'manage_user_threshold' ) );

	$f_protected	= gpc_get_bool( 'protected' );
	$f_enabled	= gpc_get_bool( 'enabled' );
	$f_groupname	= gpc_get_string( 'groupname', '' );
	$f_access_level	= gpc_get_int( 'access_level' );
	$f_group_id	= gpc_get_int( 'group_id' );
	
	$f_username	= trim( $f_groupname );

	$t_old_groupname = group_get_field( $f_group_id, 'groupname' );

	# check that the username is unique
	if ( $t_old_groupname != $f_groupname &&
		 false == group_is_name_unique( $f_groupname ) ) {
		trigger_error( ERROR_GROUP_NAME_NOT_UNIQUE, ERROR );
	}

	$c_groupname	= db_prepare_string( $f_groupname );
	$c_protected	= db_prepare_bool( $f_protected );
	$c_enabled	= db_prepare_bool( $f_enabled );
	$c_group_id	= db_prepare_int( $f_group_id );
	$c_access_level	= db_prepare_int( $f_access_level );

	$t_group_table = config_get( 'mantis_group_table' );

	$t_old_protected = group_get_field( $f_group_id, 'protected' );

	# if the group is already protected and the admin is not removing the
	#  protected flag then don't update the access level and enabled flag.
	#  If the group was unprotected or the protected flag is being turned off
	#  then proceed with a full update.
	if ( $f_protected && $t_old_protected ) {
	    $query = "UPDATE $t_group_table
	    		SET groupname='$c_groupname', protected='$c_protected'
	    		WHERE id='$c_group_id'";
	} else {
	    $query = "UPDATE $t_group_table
	    		SET groupname='$c_groupname', access_level='$c_access_level', 
				enabled='$c_enabled', protected='$c_protected'
	    		WHERE id='$c_group_id'";
	}

    $result = db_query( $query );
    $t_redirect_url = 'manage_group_page.php';
?>
<?php html_page_top1() ?>
<?php
	if ( $result ) {
		html_meta_redirect( $t_redirect_url );
	}
?>
<?php html_page_top2() ?>

<br />
<div align="center">
<?php
	if ( $f_protected && $t_old_protected ) {				# PROTECTED
		echo lang_get( 'manage_group_protected_msg' ) . '<br />';
	} else if ( $result ) {					# SUCCESS
		echo lang_get( 'operation_successful' ) . '<br />';
	} else {								# FAILURE
		print_sql_error( $query );
	}

	print_bracket_link( $t_redirect_url, lang_get( 'proceed' ) );
?>
</div>

<?php html_page_bottom1( __FILE__ ) ?>
